## tiemu 3.04~git20110801

=== bin/Makefile ===
CC=gcc
CFLAGS=-Os -fomit-frame-pointer
RM=rm -f

all: maketib s2asm strip

maketib: maketib.c
	$(CC) $(CFLAGS) maketib.c -o maketib$(EXEEXT)

s2asm: s2asm.c
	$(CC) $(CFLAGS) s2asm.c -o s2asm$(EXEEXT)

strip: strip.c
	$(CC) $(CFLAGS) strip.c -o strip$(EXEEXT)

clean:
	$(RM) maketib$(EXEEXT) s2asm$(EXEEXT) strip$(EXEEXT) *~

=== src/Makefile ===
PREOS=../../preos/
PREOS_SRC=$(PREOS)/src
PREOS_STDLIB=$(PREOS)/stdlib.9xz
GPL=-WA,-vGPL

##############################################################################

CC=tigcc
CFLAGS=-Os -fomit-frame-pointer -S -Wall -W
CSFLAGS=-Os -fomit-frame-pointer -S -Wall -W -fno-builtin-memcpy -fno-builtin-memset
INCLUDES=-I. -Ic
ASM=tigcc
A68K=tigcc -c
A68K_INCLUDE=-WA,-ic,-i$(PREOS_SRC)
S2ASM=../bin/s2asm
MAKETIB=tigcc -v --flash-os --outputbin
STRIP=../bin/strip
MV=mv -f
CP=cp -f

SOURCE=c/qsort.asm c/printf.asm c/md5.asm c/float.asm c/files.asm c/ellipse.asm c/clipline.asm c/bitmap.asm Bcd.asm     Estack2.asm  Heap.asm     Link.asm    Misc.asm     Script.asm   Vat.asm Boot.asm    Estack.asm   Ints.asm     Long.asm    PedroM.asm  Vectors.asm Cert.asm    Flash.asm    Kernel.asm   Memstr.asm  Process.asm  ShellIO.asm Builtin.asm System.asm   Window.asm Dialog.asm  Graph.asm    Library.asm  Misc2.asm   RomVoid.asm  Strings.asm
TOOL=../bin/s2asm

all: pedrom

.PHONY: version.h

../bin/s2asm:
	cd ../bin/ ; make s2asm

../bin/maketib:
	cd ../bin/ ; make maketib

../bin/strip:
	cd ../bin/ ; make strip

$(PREOS_STDLIB): 
	cd $(PREOS) ; make # Far from perfect

stdlib.bin: $(PREOS_STDLIB) $(STRIP)
	$(STRIP) $(PREOS_STDLIB) stdlib.bin

version.h:
	echo " dc.b" \"`date -u +"[%Y%m%d %k:%M]"`\" > version.h

c/bitmap.asm: c/bitmap.c ../bin/s2asm
	$(CC) $(CFLAGS) $(INCLUDES) c/bitmap.c -o c/bitmap.s
	$(S2ASM) c/bitmap.s c/bitmap.asm LBitmap 5
	$(RM) c/bitmap.s

c/clipline.asm: c/clipline.c ../bin/s2asm
	$(CC) $(CFLAGS) $(INCLUDES) c/clipline.c -o c/clipline.s
	$(S2ASM) c/clipline.s c/clipline.asm LClipLine 5
	$(RM) c/clipline.s

c/ellipse.asm: c/ellipse.c ../bin/s2asm
	$(CC) $(CFLAGS) $(INCLUDES) c/ellipse.c -o c/ellipse.s
	$(S2ASM) c/ellipse.s c/ellipse.asm LEllipse 5
	$(RM) c/ellipse.s

c/files.asm: c/files.c ../bin/s2asm
	$(CC) $(CFLAGS) $(INCLUDES) c/files.c -o c/files.s
	$(S2ASM) c/files.s c/files.asm LFiles 5
	$(RM) c/files.s

c/float.asm: c/float.c ../bin/s2asm
	$(CC) $(CFLAGS) $(INCLUDES) c/float.c -o c/float.s
	$(S2ASM) c/float.s c/float.asm LFloat 5
	$(RM) c/float.s

c/md5.asm: c/md5.c ../bin/s2asm
	$(CC) $(CFLAGS) $(INCLUDES) c/md5.c -o c/md5.s
	$(S2ASM) c/md5.s c/md5.asm LMD5 5
	$(RM) c/md5.s

c/printf.asm: c/printf.c ../bin/s2asm
	$(CC) $(CSFLAGS) $(INCLUDES) c/printf.c -o c/printf.s
	$(S2ASM) c/printf.s c/printf.asm LPrintf 5
	$(RM) c/printf.s

c/qsort.asm: c/qsort.c ../bin/s2asm
	$(CC) $(CFLAGS) $(INCLUDES) c/qsort.c -o c/qsort.s
	$(S2ASM) c/qsort.s c/qsort.asm LQsort 5
	$(RM) c/qsort.s

c/side92.asm: c/side.c ../bin/s2asm
	$(CC) $(CSFLAGS) -DPEDROM -DTI92P $(INCLUDES) c/side.c -o c/side92.s
	$(S2ASM) c/side92.s c/side92.asm LSide 5
	$(RM) c/side92.s

c/side89.asm: c/side.c ../bin/s2asm
	$(CC) $(CSFLAGS) -DPEDROM -DTI89 $(INCLUDES) c/side.c -o c/side89.s
	$(S2ASM) c/side89.s c/side89.asm LSide 5
	$(RM) c/side89.s

c/unpack.asm: c/unpack.c ../bin/s2asm
	$(CC) $(CFLAGS) $(INCLUDES) c/unpack.c -o c/unpack.s
	$(S2ASM) c/unpack.s c/unpack.asm LUnpack 5
	$(RM) c/unpack.s

pedrom-89: $(TOOL) $(SOURCE) c/side89.asm version.h
	$(A68K) $(A68K_INCLUDE) PedroM.asm -WA,-vTI89 $(GPL)
	$(MAKETIB) PedroM.o
	$(RM) PedroM.o
	$(MV) pedrom-89.tib ..
	$(RM) *.tib

pedrom-92: $(TOOL) $(SOURCE) c/side92.asm version.h
	$(A68K) $(A68K_INCLUDE) PedroM.asm -WA,-vTI92P $(GPL)
	$(MAKETIB) PedroM.o
	$(RM) PedroM.o
	$(MV) pedrom-9x.tib ..
	$(RM) *.tib

pedrom-89t: $(TOOL) $(SOURCE) c/side89.asm version.h
	$(A68K) $(A68K_INCLUDE) PedroM.asm -WA,-vTI89TI $(GPL)
	$(MAKETIB) PedroM.o
	$(RM) PedroM.o
	$(MV) pedrom-89ti.tib ..
	$(RM) *.tib

pedrom-v200: $(TOOL) $(SOURCE) c/side92.asm version.h
	$(A68K) $(A68K_INCLUDE) PedroM.asm -WA,-vV200 $(GPL)
	$(MAKETIB) PedroM.o
	$(RM) PedroM.o
	$(MV) pedrom-v2.tib ..
	$(RM) *.tib

pedrom: pedrom-89 pedrom-92 pedrom-89t pedrom-v200

clean:
	$(RM) c/*.asm c/*~ version.h
	$(RM) *~ ../pedrom-89.tib ../pedrom-9x.tib ../pedrom-89ti.tib ../pedrom-v2.tib
	$(RM) ../bin/s2asm ../bin/s2asm.exe

=== src/ipc/com/Makefile ===
ifeq ($(OSTYPE),msys)
CC ?= gcc
DLLTOOL ?= dlltool
else
CC ?= i386-mingw32-gcc
DLLTOOL ?= i386-mingw32-dlltool
endif

CFLAGS ?= -Os -s -fno-exceptions
CFLAGS += -fno-strict-aliasing

tiemups.dll: dlldata.o oleaut_p.o oleaut_i.o librpcrt4nt4.a
	$(CC) -shared $(CFLAGS) -o tiemups.dll -Wl,--enable-stdcall-fixup \
		dlldata.o oleaut_p.o oleaut_i.o \
		-lkernel32 -lrpcns4 -lrpcrt4 librpcrt4nt4.a -loleaut32 -luuid \
		tiemups.def

lib%.a: %.def
	$(DLLTOOL) $(DLLTOOL_FLAGS) --output-lib $@ --def $<

oleaut_p.o: oleaut_p.c
	$(CC) -c $(CFLAGS) -O0 -fno-omit-frame-pointer \
		-DWIN32 -D_WIN32_WINNT=0x0400 -DREGISTER_PROXY_DLL \
		-Doleaut_ProxyFileInfo=tiemu_ProxyFileInfo \
		oleaut_p.c

.c.o:
	$(CC) -c $(CFLAGS) -DWIN32 -D_WIN32_WINNT=0x0400 -DREGISTER_PROXY_DLL \
		$<

clean:
	rm -f tiemups.dll dlldata.o oleaut_p.o oleaut_i.o librpcrt4nt4.a

## tiemu 3.04~git20110801-nogdb+dfsg

=== debian/changelog ===
tiemu (3.04~git20110801-nogdb+dfsg-1) unstable; urgency=medium

  * New upstream version 3.04~git20110801-nogdb+dfsg.
  * Update patches and remove those applied upstream.
  * Bump Standards-Version to 4.0.1 (no changes needed).

 -- Andreas B. Mundt <andi@debian.org>  Fri, 18 Aug 2017 15:53:16 +0200

tiemu (3.03-nogdb+dfsg-4) unstable; urgency=medium

  * Fix FTBFS with latest gcc.  (Closes: #871110).
  * Fix debian/watch to report correct upstream version.
  * Use secure URLs in debian/control.
  * Bump Standards-Version to 4.0.0 (no changes needed).

 -- Andreas B. Mundt <andi@debian.org>  Tue, 15 Aug 2017 14:32:28 +0200

tiemu (3.03-nogdb+dfsg-3) unstable; urgency=medium

  * Fix FTBFS on amd64: Add libarchive-dev to build-depends.
    (Closes: #746086). Thanks to HIGUCHI Daisuke <dai@debian.org>.
  * Bump Standards-Version to 3.9.5 (no changes needed).

 -- Andreas B. Mundt <andi@debian.org>  Fri, 30 May 2014 22:12:45 +0200

=== debian/control ===
Source: tiemu
Section: math
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas B. Mundt <andi@debian.org>
Build-Depends: autotools-dev,
               debhelper (>= 9.0.0),
               gettext,
               groff-base,
               libarchive-dev,
               libdbus-glib-1-dev,
               libglade2-dev,
               libgtk2.0-dev,
               libsdl1.2-dev (>= 1.2.0),
               libticables-dev (>= 1.3.4),
               libticalcs-dev (>= 1.1.8),
               libticonv-dev (>= 1.1.4),
               libtifiles-dev (>= 1.1.6),
               texinfo,
               zlib1g-dev
Standards-Version: 4.0.1
Homepage: https://github.com/debrouxl/tiemu
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/tiemu.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/tiemu.git

Package: tiemu
Architecture: any
Depends: iceweasel | www-browser, ${misc:Depends}, ${shlibs:Depends}
Replaces: gtktiemu
Conflicts: gtktiemu, tiemu-gdb
Suggests: tiemu-skinedit
Description: Texas Instruments calculators emulator (without GDB)
 TiEmu emulates Texas Instruments calculators TI-89/92/92+/V200PLT.
 .
 It is based on XTiger, the original TI emulator for Linux, which
 uses the 68k emulation core from UAE (The Ultimate Amiga Emulator).
 .
 You need to either dump the ROM of your calculator (you can do so
 with TiLP), or get a FLASH upgrade from Texas Instrument (see the software
 section concerning your calculator, then download the archive and
 extract the file) to use this emulator. There are *no* TI ROMs provided
 in this package, as they are copyrighted by Texas Instruments, Inc.
 .
 However, a free (as in speech) ROM is now provided with TiEmu, namely
 PedRom. Try it out!
 .
 This version includes a VTI-style assembly debugger.
 .
 Please note it exists another version (tiemu-gdb) not provided on Debian
 itself which includes a GDB-style assembly debugger for use with TIGCC
 and/or KTIGCC.

## tiemu 3.04~git20110801-nogdb+dfsg1

=== debian/changelog ===
tiemu (3.04~git20110801-nogdb+dfsg1-2) unstable; urgency=medium

  * Add sensible-utils as dependency.
  * Bump Standards-Version to 4.2.1 (no changes needed).

 -- Andreas B. Mundt <andi@debian.org>  Wed, 03 Oct 2018 08:52:17 +0300

tiemu (3.04~git20110801-nogdb+dfsg1-1) unstable; urgency=medium

  * New upstream version 3.04~git20110801-nogdb+dfsg1 with removed copy of
    web site for DFSG reasons.
  * Remove www-browser from depends, only needed to read the docs.
  * Add desktop file.

 -- Andreas B. Mundt <andi@debian.org>  Mon, 25 Jun 2018 14:17:34 +0200

tiemu (3.04~git20110801-nogdb+dfsg-3) unstable; urgency=medium

  * Fix 'debian/watch' file.

 -- Andreas B. Mundt <andi@debian.org>  Sun, 20 May 2018 08:44:52 +0300

tiemu (3.04~git20110801-nogdb+dfsg-2) unstable; urgency=medium

  * Update Vcs-* links to 'salsa.debian.org'.
  * Bump Standards-Version to 4.1.4 (no changes needed).
  * Bump compatibility level to 11.
  * Update debian/rules and dependencies, use latest libraries.
  * DEP-5 copyright and update 'debian/watch'.
  * Fix FTBFS with customized abort()-function (closes: #895492).

 -- Andreas B. Mundt <andi@debian.org>  Sat, 19 May 2018 21:24:03 +0300

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas B. Mundt <andi@debian.org>
-Build-Depends: autotools-dev,
-               debhelper (>= 9.0.0),
+Build-Depends: debhelper (>= 11.0.0),
                gettext,
                groff-base,
                libarchive-dev,
@@ -12,20 +11,20 @@
                libglade2-dev,
                libgtk2.0-dev,
                libsdl1.2-dev (>= 1.2.0),
-               libticables-dev (>= 1.3.4),
-               libticalcs-dev (>= 1.1.8),
-               libticonv-dev (>= 1.1.4),
-               libtifiles-dev (>= 1.1.6),
+               libticables-dev (>= 1.3.5),
+               libticalcs-dev (>= 1.1.9),
+               libticonv-dev (>= 1.1.5),
+               libtifiles-dev (>= 1.1.7),
                texinfo,
                zlib1g-dev
-Standards-Version: 4.0.1
+Standards-Version: 4.2.1
 Homepage: https://github.com/debrouxl/tiemu
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/tiemu.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/tiemu.git
+Vcs-Git: https://salsa.debian.org/science-team/tiemu.git
+Vcs-Browser: https://salsa.debian.org/science-team/tiemu
 
 Package: tiemu
 Architecture: any
-Depends: iceweasel | www-browser, ${misc:Depends}, ${shlibs:Depends}
+Depends: sensible-utils, ${misc:Depends}, ${shlibs:Depends}
 Replaces: gtktiemu
 Conflicts: gtktiemu, tiemu-gdb
 Suggests: tiemu-skinedit

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --without-kde --disable-gdb --enable-dbus

override_dh_auto_install:
	dh_auto_install
	rm debian/tiemu/usr/share/tiemu/COPYING

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg$// ,repacksuffix=+dfsg" \
https://sf.net/gtktiemu/ .*/tiemu-(.+)\.tar\.gz

## tiemu 3.04~git20200827.f327e1c+dfsg1

=== debian/changelog ===
tiemu (3.04~git20200827.f327e1c+dfsg1-2build1) kinetic; urgency=medium

  * No-change rebuild against libticalcs2-13

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 20 Aug 2022 18:02:27 +0000

tiemu (3.04~git20200827.f327e1c+dfsg1-2) unstable; urgency=medium

  * Skip number on repacksuffix.
  * Fix location and content of documentation files. This should make
    the package reproducible again.

 -- Andreas B. Mundt <andi@debian.org>  Mon, 15 Aug 2022 14:05:45 +0200

tiemu (3.04~git20200827.f327e1c+dfsg1-1) unstable; urgency=medium

  * Prepare for salsa-ci.
  * Bump Standards-Version and dh compat level (no changes needed).
  * Update dependencies (closes: #1017187) and fix some lintian complaints.
  * Extract sources for package from upstream git automatically.
  * Update non-DFSG files to be removed automatically.
  * New upstream version 3.04~git20200827.f327e1c+dfsg1
  * Fix hardening: Add compiler FLAGS.

 -- Andreas B. Mundt <andi@debian.org>  Sun, 14 Aug 2022 17:39:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: tiemu
 Section: math
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas B. Mundt <andi@debian.org>
-Build-Depends: debhelper (>= 11.0.0),
+Build-Depends: debhelper-compat (= 13),
                gettext,
                groff-base,
                libarchive-dev,
@@ -15,9 +16,11 @@
                libticalcs-dev (>= 1.1.9),
                libticonv-dev (>= 1.1.5),
                libtifiles-dev (>= 1.1.7),
+               libusb-1.0-0-dev,
                texinfo,
                zlib1g-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Homepage: https://github.com/debrouxl/tiemu
 Vcs-Git: https://salsa.debian.org/science-team/tiemu.git
 Vcs-Browser: https://salsa.debian.org/science-team/tiemu

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@
@@ -13,3 +15,5 @@
 override_dh_auto_install:
 	dh_auto_install
 	rm debian/tiemu/usr/share/tiemu/COPYING
+	rm debian/tiemu/usr/share/tiemu/LICENSES
+	rm -r debian/tiemu/usr/share/tiemu/help

## tiemu 3.04~git20220826.cda2db4%2Bdfsg

=== debian/changelog ===
tiemu (3.04~git20220826.cda2db4+dfsg-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:25:03 +1100

tiemu (3.04~git20220826.cda2db4+dfsg-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 07:08:31 +0000

tiemu (3.04~git20220826.cda2db4+dfsg-2) unstable; urgency=medium

  * Fix FTBFS on riscv64 (closes: #1026981). Thanks to Eric Long
    <i@hack3r.moe> for the patch.

 -- Andreas B. Mundt <andi@debian.org>  Fri, 30 Dec 2022 11:36:41 +0100

tiemu (3.04~git20220826.cda2db4+dfsg-1) unstable; urgency=medium

  [ Andreas B. Mundt ]
  * New upstream version 3.04~git20220826.cda2db4+dfsg
  * Register documentation using doc-base and some related clean-up.
  * Drop all patches applied upstream.
  * Bump Standards-Version to 4.6.2 (no changes needed).

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Andreas B. Mundt <andi@debian.org>  Sat, 24 Dec 2022 14:43:32 +0100

=== debian/control ===
--- 
+++ 
@@ -11,15 +11,15 @@
                libdbus-glib-1-dev,
                libglade2-dev,
                libgtk2.0-dev,
-               libsdl1.2-dev (>= 1.2.0),
-               libticables-dev (>= 1.3.5),
-               libticalcs-dev (>= 1.1.9),
-               libticonv-dev (>= 1.1.5),
-               libtifiles-dev (>= 1.1.7),
+               libsdl1.2-dev,
+               libticables-dev,
+               libticalcs-dev,
+               libticonv-dev,
+               libtifiles-dev,
                libusb-1.0-0-dev,
                texinfo,
                zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/debrouxl/tiemu
 Vcs-Git: https://salsa.debian.org/science-team/tiemu.git

## tiemu 3.04~git20220826.cda2db4+dfsg

=== src/Makefile ===
##############################################################################
### PREOS MAKEFILE ###########################################################
##############################################################################

CC=tigcc
ASM=tigcc
RM=rm -f
MV=mv -f
CP=cp
HW2TSR=-WA,-vhw2tsr hw2tsr/h220xtsr.a

### GENERAL RULES #############################################################


.PHONY: all clean

all: clean preos

distclean: clean

clean:
	$(RM) preos.89z preos.9xz preos.v2z *~
	$(RM) preos

preos:	check.asm  install.asm  parser.asm  preos.asm  sams.asm  sld.asm  svector.asm  uninstal.asm
	$(ASM) preos.asm $(HW2TSR)
	$(CP) preos.9xz preos
	$(MV) preos.89z preos.9xz preos.v2z ..

=== src/core/uae/Makefile ===
#
# Extra rules for building the emulation engine
#
#CPUFLAGS = -O3 -mpentium -fomit-frame-pointer -Wall -Wno-unused -Wno-format -W -Wmissing-prototypes -Wstrict-prototypes -DX86_ASSEMBLY -D__inline__=inline -DSTATFS_NO_ARGS=2 -DSTATBUF_BAVAIL=f_bavail

# trying to be portable... *TRYING*
#CFLAGS   = -mms-bitfields
CPUFLAGS = $(CFLAGS) -fomit-frame-pointer -Wno-unused -Wno-format -Wno-format-security -W -Wmissing-prototypes -Wstrict-prototypes -D__inline__=inline -DSTATFS_NO_ARGS=2 -DSTATBUF_BAVAIL=f_bavail #-Wall

gen: cpudefs.c cpustbl.c cputbl.h cpuemu.c

# WARNING: Don't try to build newcpu.o here, because newcpu.c references TiEmu include files.
all: cpudefs.o cpustbl.o readcpu.o fpp.o missing.o cpuemu1.o cpuemu2.o cpuemu3.o cpuemu4.o cpuemu5.o cpuemu6.o cpuemu7.o cpuemu8.o

# For cross-compiling (generators are run on host)
build68k_host.o: build68k.c
	C_INCLUDE_PATH="" LIBRARY_PATH="" gcc $(LDFLAGS) $(CFLAGS) $(CPPFLAGS) -c -o $@ $?
gencpu_host.o: gencpu.c
	C_INCLUDE_PATH="" LIBRARY_PATH="" gcc $(LDFLAGS) $(CFLAGS) $(CPPFLAGS) -c -o $@ $?
readcpu_host.o: readcpu.c
	C_INCLUDE_PATH="" LIBRARY_PATH="" gcc $(LDFLAGS) $(CFLAGS) $(CPPFLAGS) -c -o $@ $?
cpudefs_host.o: cpudefs.c
	C_INCLUDE_PATH="" LIBRARY_PATH="" gcc $(LDFLAGS) $(CFLAGS) $(CPPFLAGS) -c -o $@ $?
missing_host.o: missing.c
	C_INCLUDE_PATH="" LIBRARY_PATH="" gcc $(LDFLAGS) $(CFLAGS) $(CPPFLAGS) -c -o $@ $?
xmalloc_host.o: xmalloc.c
	C_INCLUDE_PATH="" LIBRARY_PATH="" gcc $(LDFLAGS) $(CFLAGS) $(CPPFLAGS) -c -o $@ $?

# Build generators and files to generate
build68k: build68k_host.o
	@echo "-> Compiling 68k builder..."
	C_INCLUDE_PATH="" LIBRARY_PATH="" gcc $(LDFLAGS) -o $@ $?

gencpu: gencpu_host.o readcpu_host.o cpudefs_host.o missing_host.o xmalloc_host.o
	@echo "-> Compiling CPU generator..."
	C_INCLUDE_PATH="" LIBRARY_PATH="" gcc $(LDFLAGS) -o $@ gencpu_host.o readcpu_host.o cpudefs_host.o missing_host.o xmalloc_host.o

cpudefs.c: build68k table68k
	@echo "-> Building CPU definitions..."
	./build68k <table68k >cpudefs.c

cpuemu.c: gencpu
	@echo "-> Generating CPU tables..."
	./gencpu

# gencpu also creates cpustbl.c and cputbl.h
cpustbl.c: cpuemu.c
cputbl.h: cpuemu.c

# CPU engine
cpuemu1.o: cpuemu.c
	$(CC) -DPART_1 $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $< -o $@
cpuemu2.o: cpuemu.c
	$(CC) -DPART_2 $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $< -o $@
cpuemu3.o: cpuemu.c
	$(CC) -DPART_3 $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $< -o $@
cpuemu4.o: cpuemu.c
	$(CC) -DPART_4 $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $< -o $@
cpuemu5.o: cpuemu.c
	$(CC) -DPART_5 $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $< -o $@
cpuemu6.o: cpuemu.c
	$(CC) -DPART_6 $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $< -o $@
cpuemu7.o: cpuemu.c
	$(CC) -DPART_7 $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $< -o $@
cpuemu8.o: cpuemu.c
	$(CC) -DPART_8 $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $< -o $@

# Misc
cpudefs.o: cpudefs.c
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $< -o $@
cpustbl.o: cputbl.h
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $*.c
readcpu.o: readcpu.h
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $*.c
fpp.o: fpp.c
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $< -o $@
missing.o: missing.c
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $< -o $@ 
newcpu.o: newcpu.c newcpu.h
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $< -o $@

clean:
	$(RM) build68k gencpu *.o
	$(RM) build68k.exe gencpu.exe

distclean: clean
	$(RM) cpudefs.c cpustbl.c cputbl.? cpuemu.c cpuemu?.o

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,4 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	rm debian/tiemu/usr/share/tiemu/COPYING
-	rm debian/tiemu/usr/share/tiemu/LICENSES
-	rm -r debian/tiemu/usr/share/tiemu/help
+	rm debian/tiemu/usr/share/doc/tiemu/COPYING

=== debian/watch ===
version=4
opts="mode=git,pgpmode=none,pretty=3.04~git%cd.%h,dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg" \
https://github.com/debrouxl/tiemu \
HEAD debian debian/clean-orig-source
